Que faire lorsqu'un plugin WordPress plante

Ne paniquez pas!

Ainsi, votre site ne se chargera pas et vous verrez des messages d'erreur déroutants comme celui-ci…

Obsolète: Le paramètre obligatoire $ids suit le paramètre facultatif $table dans /vous/wp-content/plugins/user-login-history/inc/common/helpers/class-db.php en ligne 113

Attention,: Impossible de modifier les informations d'en-tête - les en-têtes ont déjà été envoyés par (la sortie a commencé à you/wp-content/plugins/user-login-history/inc/common/helpers/class-db.php:113) dans / accompagner/wp-includes/pluggable.php en ligne 1083

Ce genre de chose se produit souvent avec les dernières versions de PHP 8. Un plugin ou un thème offensant fait planter votre site WordPress car il n'est pas à jour. Pour résoudre ce problème, vous devez l'empêcher de se charger avec WordPress.

Utilisez FTP ou le gestionnaire de fichiers de votre hébergeur pour trouver le plug-in décrit dans l'erreur. Une fois que vous l'avez localisé, renommez le dossier du plugin en ajoutant un seul caractère à la fin du nom, comme un trait de soulignement. Comme ça…

you/wp-content/plugins/user-login-history

you/wp-content/plugins/user-login-history_

Actualisez maintenant votre page WordPress et elle devrait se charger sans erreur.

Si vous allez sur la page WordPress Plugin, il se plaindra que le plugin ne peut pas être chargé. C'est bon. Vous pouvez travailler sur le problème et le renommer, ou le supprimer et installer une nouvelle copie. Revenir souvent à PHP 7.4 résoudra le problème.

Laisser un commentaire

Ce site utilise Akismet pour réduire les spams. Découvrez comment sont traitées les données de vos commentaires..